import errno
import os

appdir = None

def init(arg0):
	global appdir
	appdir = os.path.dirname(os.path.realpath(os.path.abspath(arg0)))

def get_appdir():
	global appdir
	return appdir

def get_png(leafname):
	if leafname[-4:] != '.png':
		leafname += '.png'
	return os.path.join(get_appdir(), 'pngs', leafname)

def get_levels_dir():
	return os.path.join(get_appdir(), 'levels')

def get_sounds_dir():
	return os.path.join(get_appdir(), 'sounds')

def get_level(number):
	return os.path.join(get_levels_dir(), "%02d" % number)

def get_font_filename():
	return os.path.join(appdir, "FreeSans.ttf")
