import os
import pygame
import sys

from bombz import appdir

bitmaps = {}

def get_bitmap(leafname):
	global bitmaps
	if bitmaps.has_key(leafname):
		return bitmaps[leafname]
	try:
		bitmap = pygame.image.load(appdir.get_png(leafname)).convert_alpha()
		bitmaps[leafname] = bitmap
	except:
		bitmap = None
		print >> sys.stderr, _("Unable to load bitmap "), leafname
	return bitmap
