""" Unifies interface to configured keys and joystick. """

from bombz import joy, key

def interpret_event(e):
	""" Returns [is_key/joy_event (bool), [x, y], action, back] """
	key_result = key.interpret_event(e)
	if key_result[0]:
		return key_result
	return joy.interpret_event(e)

def get_direction():
	""" Checks the state of the controls and returns whether directions are
	pressed as bools [l, r, u, d] """
	k = key.get_direction()
	j = joy.get_direction()
	return [k[0] or j[0], k[1] or j[1], k[2] or j[2], k[3] or j[3]]
